c==============================================================================c
c  +++++ Discrete Variational X alpha Molecular Orbital Method Programs +++++  c
c------------------------------------------------------------------------------c
c  Fortran77 Source Program / HP-FORTRAN/9000 / HP 9000 Series 700 Computers   c
c------------------------------------------------------------------------------c
c           HP Apollo 9000 Model 730 GRX Computer / HP-UX Rel.8.07             c
c------------------------------------------------------------------------------c
c (c)Copyright 1991 Shibahara Laboratory, Okayama University of Science, JAPAN c
c==============================================================================c
c                               (( DV(F05) to DAPH ))                          c
c------------------------------------------------------------------------------c
c -memo-                                                                       c
c original dv2daph was written by Genta Sakane, Sun Dec 20 1992 (HP-UX Version)c
c modified dv2daph by Genta Sakane, Sun Jan 30 2005 (Windows Version)          c
c==============================================================================c

c******************************************************************************c
c Main Program (dv2daph)                                                       c
c******************************************************************************c
c----------------------- Start of Main Program (dv2daph) ----------------------c
c---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
      program dv2daph
      real*8 x(1000,2),y(1000,2),z(1000,2),bohr
      real*8 ichi,zero,tmp,tmp2,san,kk,kkk 
      integer n,k,na(1000),a(1000,2),b(1000)
      integer bb,bb1,bb2,bb3,bb4,bb5,bb6,bb7,bb8,zz
      integer nichi,nzero,nk
      character*1 key1,key2,key3,key4,see1,see2,see3,see4
      character*5 out1,out2,out3,top1,top2,top3,top4
      character*2 c(1000)
c------------------------------------------------------------------------------c
c  File Open Statments
c------------------------------------------------------------------------------c

c ===================================================================
c  ((1))  Input Files
c ===================================================================

c     ---------------------------------------------------------------
c      (1-1) File 05 ... DV-Xa General Input File f05 or f26
c     ---------------------------------------------------------------
      open (unit=05, form='formatted', status='old',
     &      access='sequential', file='F05')

c     ---------------------------------------------------------------
c      (1-1) File 07 ... toDAPH Output (DAPH Input File)
c     ---------------------------------------------------------------
      open (unit=07, form='formatted', status='unknown',
     &      access='sequential', file='F05.DAP')

c------------------------------------------------------------------------------c
c---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
      bohr=0.5291772083
      zz=0
      k=0
      n=0
      bb=0
      key1='D'
      key2='D'
      key3='D'
      key4='1'
      out1='$DATA'
      out2='$END '
      out3='     '
      ichi=1.0
      zero=0.0
      nichi=1
      nzero=0
      san=3.2
      tmp=1.0
      tmp2=90.0
      call find(key1,key2,key3,key4,n)
      rewind(unit=5)
      do 55 i=1,n
      read(5,1000) see1,see2,see3,see4
   55 continue
   20 do 46 i=1,1000
      read(5,1100,err=21,end=22) x(i,1),y(i,1),z(i,1),a(i,1)
      k=k+1
      if(a(i,1).eq.zz) go to 30
   46 continue
   30 k=k-1
      kk=k
      rewind(unit=5)
      read(5,999) top1
      read(5,999) top2
      read(5,999) top3
      read(5,999) top4
      do 106 bb=1,125
      bb1=((bb-1)*8)+1
      bb2=((bb-1)*8)+2
      bb3=((bb-1)*8)+3
      bb4=((bb-1)*8)+4
      bb5=((bb-1)*8)+5
      bb6=((bb-1)*8)+6
      bb7=((bb-1)*8)+7
      bb8=((bb-1)*8)+8
      read(5,555) b(bb1),b(bb2),b(bb3),b(bb4),b(bb5),
     &b(bb6),b(bb7),b(bb8)
      kk=kk-8
      if(kk.le.zz) go to 108
  106 continue
  108 continue
      do 60 l=1,k
      x(l,2)=x(l,1)*bohr
      y(l,2)=y(l,1)*bohr
      z(l,2)=z(l,1)*bohr
      na(l)=l
      if(b(l).eq.1) c(l)='H '
      if(b(l).eq.2) c(l)='He'
      if(b(l).eq.3) c(l)='Li'
      if(b(l).eq.4) c(l)='Be'
      if(b(l).eq.5) c(l)='B '
      if(b(l).eq.6) c(l)='C '
      if(b(l).eq.7) c(l)='N '
      if(b(l).eq.8) c(l)='O '
      if(b(l).eq.9) c(l)='F '
      if(b(l).eq.10) c(l)='Ne'
      if(b(l).eq.11) c(l)='Na'
      if(b(l).eq.12) c(l)='Mg'
      if(b(l).eq.13) c(l)='Al'
      if(b(l).eq.14) c(l)='Si'
      if(b(l).eq.15) c(l)='P '
      if(b(l).eq.16) c(l)='S '
      if(b(l).eq.17) c(l)='Cl'
      if(b(l).eq.18) c(l)='Ar'
      if(b(l).eq.19) c(l)='K '
      if(b(l).eq.20) c(l)='Ca'
      if(b(l).eq.21) c(l)='Sc'
      if(b(l).eq.22) c(l)='Ti'
      if(b(l).eq.23) c(l)='V '
      if(b(l).eq.24) c(l)='Cr'
      if(b(l).eq.25) c(l)='Mn'
      if(b(l).eq.26) c(l)='Fe'
      if(b(l).eq.27) c(l)='Co'
      if(b(l).eq.28) c(l)='Ni'
      if(b(l).eq.29) c(l)='Cu'
      if(b(l).eq.30) c(l)='Zn'
      if(b(l).eq.31) c(l)='Ga'
      if(b(l).eq.32) c(l)='Ge'
      if(b(l).eq.33) c(l)='As'
      if(b(l).eq.34) c(l)='Se'
      if(b(l).eq.35) c(l)='Br'
      if(b(l).eq.36) c(l)='Kr'
      if(b(l).eq.37) c(l)='Rb'
      if(b(l).eq.38) c(l)='Sr'
      if(b(l).eq.39) c(l)='Y '
      if(b(l).eq.40) c(l)='Zr'
      if(b(l).eq.41) c(l)='Nb'
      if(b(l).eq.42) c(l)='Mo'
      if(b(l).eq.43) c(l)='Tc'
      if(b(l).eq.44) c(l)='Ru'
      if(b(l).eq.45) c(l)='Rh'
      if(b(l).eq.46) c(l)='Pd'
      if(b(l).eq.47) c(l)='Ag'
      if(b(l).eq.48) c(l)='Cd'
      if(b(l).eq.49) c(l)='In'
      if(b(l).eq.50) c(l)='Sn'
      if(b(l).eq.51) c(l)='Sb'
      if(b(l).eq.52) c(l)='Te'
      if(b(l).eq.53) c(l)='I '
      if(b(l).eq.54) c(l)='Xe'
      if(b(l).eq.55) c(l)='Cs'
      if(b(l).eq.56) c(l)='Ba'
      if(b(l).eq.57) c(l)='La'
      if(b(l).eq.58) c(l)='Ce'
      if(b(l).eq.59) c(l)='Pr'
      if(b(l).eq.60) c(l)='Nd'
      if(b(l).eq.61) c(l)='Pm'
      if(b(l).eq.62) c(l)='Sm'
      if(b(l).eq.63) c(l)='Eu'
      if(b(l).eq.64) c(l)='Gd'
      if(b(l).eq.65) c(l)='Tb'
      if(b(l).eq.66) c(l)='Dy'
      if(b(l).eq.67) c(l)='Ho'
      if(b(l).eq.68) c(l)='Er'
      if(b(l).eq.69) c(l)='Tm'
      if(b(l).eq.70) c(l)='Yb'
      if(b(l).eq.71) c(l)='Lu'
      if(b(l).eq.72) c(l)='Hf'
      if(b(l).eq.73) c(l)='Ta'
      if(b(l).eq.74) c(l)='W '
      if(b(l).eq.75) c(l)='Re'
      if(b(l).eq.76) c(l)='Os'
      if(b(l).eq.77) c(l)='Ir'
      if(b(l).eq.78) c(l)='Pt'
      if(b(l).eq.79) c(l)='Au'
      if(b(l).eq.80) c(l)='Hg'
      if(b(l).eq.81) c(l)='Tl'
      if(b(l).eq.82) c(l)='Pb'
      if(b(l).eq.83) c(l)='Bi'
      if(b(l).eq.84) c(l)='Po'
      if(b(l).eq.85) c(l)='At'
      if(b(l).eq.86) c(l)='Rn'
      if(b(l).eq.87) c(l)='Fr'
      if(b(l).eq.88) c(l)='Ra'
      if(b(l).eq.89) c(l)='Ac'
      if(b(l).eq.90) c(l)='Th'
      if(b(l).eq.91) c(l)='Pa'
      if(b(l).eq.92) c(l)='U '
      if(b(l).eq.93) c(l)='Np'
      if(b(l).eq.94) c(l)='Pu'
      if(b(l).eq.95) c(l)='Am'
      if(b(l).eq.96) c(l)='Cm'
      if(b(l).eq.97) c(l)='Bk'
      if(b(l).eq.98) c(l)='Cf'
      if(b(l).eq.99) c(l)='Es'
      if(b(l).eq.100) c(l)='Fm'
      if(b(l).eq.101) c(l)='Md'
      if(b(l).eq.102) c(l)='No'
      if(b(l).eq.103) c(l)='Lr'
      if(b(l).eq.104) c(l)='Rf'
      if(b(l).eq.105) c(l)='Db'
      if(b(l).eq.106) c(l)='Sg'
      if(b(l).eq.107) c(l)='Bh'
      if(b(l).eq.108) c(l)='Hs'
      if(b(l).eq.109) c(l)='Mt'
      if(b(l).eq.110) c(l)='Ds'
   60 continue
   50 write(7,2001) k,k
      write(7,2002)
      write(7,2003) tmp,tmp,tmp,tmp2,tmp2,tmp2
      write(7,2004) nichi,nzero,nichi,nzero,nzero,nzero,nzero,nzero
      write(7,2005) zero,ichi,zero,zero,zero,zero,ichi,zero,zero,
     &zero,zero,ichi
      nk=int(k/12)+1
      kk=(real(nk)-1)*12
      kkk=k-kk
      if(kkk.eq.zero) go to 88
      go to 89
   88 nk=nk-1
   89 do 99 m=1,nk
      write(7,2006)
   99 continue
      do 61 l=1,k
      x(l,2)=x(l,1)*bohr
      y(l,2)=y(l,1)*bohr
      z(l,2)=z(l,1)*bohr
      write(7,2007) l,c(l),x(l,2),y(l,2),z(l,2)
   61 continue
      write(7,2008) san,san
      write(7,2009)
      go to 24
   21 write(*,1001)
   22 write(*,1002)
   24 stop
  555 format(5x,i3,7(7x,i3))
  999 format(5a)
 1000 format(4x,6a)
 1100 format(3d20.10,2x,i3)
 1200 format(4x,i2,18x,4f12.6) 
 1001 format('*** Read Error ***')
 1002 format('*** Data Not Found ***')
 1102 FORMAT(A2,1X,I2,3F10.6)
 2001 format('  1',2i3)
 2002 format('DV-Xalpha F05.daph *** DAPH:(C)T. Ashida 1966 ***')
 2003 format(f6.3,6x,f6.3,6x,f6.3,6x,f6.2,6x,f6.2,6x,f6.2)
 2004 format(8i3)
 2005 format(8x,4f4.1,8x,4f4.1,8x,4f4.1)
 2006 format('0.00030.00030.00030.00030.00030.00030.00030.00030.00030.00
     &030.00030.0003')
 2007 format(1x,i3,a2,12x,3f8.5)
 2008 format(f3.1,9x,f3.1)
 2009 format(///)
      end
c________________________ End of Main Program (dv2daph) _______________________c

c******************************************************************************c
c Subroutine Program (find)                                                    c
c******************************************************************************c

c------------------------------------------------------------------------------c
c---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
      subroutine find(key1,key2,key3,key4,n)
      character*1 key1,key2,key3,key4,see1,see2,see3,see4
   10 read(5,1000,err=11,end=12) see1,see2,see3,see4
      n=n+1
      if(see1.eq.key1) go to 13
      go to 10
   13 if(see2.eq.key2) go to 14
      go to 10
   14 if(see3.eq.key3) go to 15
      go to 10
   15 if(see4.eq.key4) go to 16
      go to 10
   11 write(*,1001)
   12 write(*,1002)
   16 n=n-1
      return
      stop
 1000 format(16x,1a,19x,1a,19x,1a,7x,1a)
 1001 format('*** Read Error ***')
 1002 format('*** Data Not Found ***')
      end 
c_____________________ End of Subroutine Program (find) _______________________c
